Vagrant.configure(2) do |config|

	config.ssh.insert_key = false
	config.vm.box = "ubuntu/focal64"
	config.vm.hostname = "ubuntu-20.04-base"
	config.vm.network "private_network", ip: "192.168.100.200"
	
	config.vm.provision "shell" do |shell|
		shell.path = "01-install-base-tools.sh"
	end
	
	config.vm.provider "virtualbox" do |vb|
		vb.customize ['modifyvm', :id, '--cpus', 2]
		vb.customize ['modifyvm', :id, '--memory', 1024]
	end
	
end